'use strict';

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var marked = _interopDefault(require('marked'));
var rollupPluginutils = require('rollup-pluginutils');

var ext = /\.md$/;


function md ( options ) {
    if ( options === void 0 ) options = {};

    var filter = rollupPluginutils.createFilter( options.include || [ '**/*.md'], options.exclude );
    if(options.marked){
      marked.setOptions(options.marked)
    }
    return {
        name: 'md',

        transform: function transform ( md, id ) {
            if ( !ext.test( id ) ) return null;
            if ( !filter( id ) ) return null;

            var data = marked( md );
            return {
                code: ("export default " + (JSON.stringify(data.toString())) + ";"),
                map: { mappings: '' }
            };
        }
    };
}

module.exports = md;
//# sourceMappingURL=rollup-plugin-md.js.map
