import marked from 'marked';
import { createFilter } from 'rollup-pluginutils';

var ext = /\.md$/;


function md ( options ) {
    if ( options === void 0 ) options = {};

    var filter = rollupPluginutils.createFilter( options.include || [ '**/*.md'], options.exclude );
    if(options.marked){
      marked.setOptions(options.marked)
    }
    return {
        name: 'md',

        transform: function transform ( md, id ) {
            if ( !ext.test( id ) ) return null;
            if ( !filter( id ) ) return null;

            var data = marked( md );
            return {
                code: ("export default " + (JSON.stringify(data.toString())) + ";"),
                map: { mappings: '' }
            };
        }
    };
}

export default md;
//# sourceMappingURL=rollup-plugin-md.mjs.map
